Loading...
Searching...
No Matches
ForceField.h File Reference
`#include <RDGeneral/export.h>`
`#include <vector>`
`#include <boost/smart_ptr.hpp>`
`#include <Geometry/point.h>`
`#include <GraphMol/Trajectory/Snapshot.h>`

Go to the source code of this file.

## Classes

class | ForceFields::ForceField
| A class to store forcefields and handle minimization. More...

## Namespaces

namespace | RDKit
| Std stuff.
namespace | RDKit::ForceFieldsHelper
namespace | ForceFields

## Typedefs

typedef std::vector< int > | ForceFields::INT_VECT
typedef boost::shared_ptr< const ForceFieldContrib > | ForceFields::ContribPtr
typedef std::vector< ContribPtr > | ForceFields::ContribPtrVect

## Functions

void RDKIT_FORCEFIELD_EXPORT | RDKit::ForceFieldsHelper::normalizeAngleDeg (double &angleDeg)
void RDKIT_FORCEFIELD_EXPORT | RDKit::ForceFieldsHelper::computeDihedral (const RDGeom::PointPtrVect &pos, unsigned int idx1, unsigned int idx2, unsigned int idx3, unsigned int idx4, double *dihedral=nullptr, double *cosPhi=nullptr, RDGeom::Point3D r[4]=nullptr, RDGeom::Point3D t[2]=nullptr, double d[2]=nullptr)
void RDKIT_FORCEFIELD_EXPORT | RDKit::ForceFieldsHelper::computeDihedral (const double *pos, unsigned int idx1, unsigned int idx2, unsigned int idx3, unsigned int idx4, double *dihedral=nullptr, double *cosPhi=nullptr, RDGeom::Point3D r[4]=nullptr, RDGeom::Point3D t[2]=nullptr, double d[2]=nullptr)
void RDKIT_FORCEFIELD_EXPORT | RDKit::ForceFieldsHelper::computeDihedral (const RDGeom::Point3D *p1, const RDGeom::Point3D *p2, const RDGeom::Point3D *p3, const RDGeom::Point3D *p4, double *dihedral=nullptr, double *cosPhi=nullptr, RDGeom::Point3D r[4]=nullptr, RDGeom::Point3D t[2]=nullptr, double d[2]=nullptr)